Subject: Re: [apps-discuss] APPSDIR review of draft-claise-export-application-info-in-ipfix-05

From: Barry Leiba <[email-masked]>
Date: Fri, 4 May 2012 10:48:18 -0400

> I just posted a new version of
draft-claise-export-application-info-in-ipfix<http://tools.ietf.org/html/draft-claise-export-application-info-in-ipfix-06>,
and
> forgot to include your comments.
...
> From here, we could do 3 things
>     1. I quickly post a new version of the draft
>     2. Ron put an RFC-editor note
>     3. We solve this during the AUTH48
>
> I will let Ron decide what's best.

This happens all the time, and it always puzzles me.  What's the fear of
posting another rev of the doc?  They're cheap and easy.

Not to usurp Ron's decision of what's best in this case, but in general, I
think that if one forgets to include something in a draft version, one
simply puts it in and posts another version.  Voilà.

Barry

---

From: Benoit Claise <[email-masked]>
Date: Fri, 04 May 2012 10:11:12 -0400

Jiankang,

Thanks for your review.
I just posted a new version of 
draft-claise-export-application-info-in-ipfix 
<http://tools.ietf.org/html/draft-claise-export-application-info-in-ipfix-06>, 
and forgot to include your comments. Sorry about that.

Anyway, I agree with your proposal
OLD:

       Applications could be defined at different OSI layers, from
       layer 2 to layer 7. For example: Link Layer Distribution
       Protocol (LLDP) [LLDP  <http://tools.ietf.org/html/draft-claise-export-application-info-in-ipfix-06#ref-LLDP>] is layer 2 application, ICMP is layer
       3 application [IANA-PROTO  <http://tools.ietf.org/html/draft-claise-export-application-info-in-ipfix-06#ref-IANA-PROTO>], HTTP is layer 4 application
       [IANA-PORTS  <http://tools.ietf.org/html/draft-claise-export-application-info-in-ipfix-06#ref-IANA-PORTS>], and skype is layer 7.

NEW:

       Applications could be identified at different OSI layers, from
       layer 2 to layer 7. For example: Link Layer Distribution
       Protocol (LLDP) [LLDP] can be identified in layer 2, ICMP can
       be identified in layer 3 [IANA-PROTO], HTTP can be identified in
       layer 4 [IANA-PORTS], and skype can be identified in layer7.

OLD:

Section 6.5. title:  Example 4: Layer 7 Application

NEW:

Section 6.5. title:  Example 5: Layer 7 Application

Regards, Benoit (as a contributor)
> I have been selected as the Applications Area Directorate reviewer
> for this draft (for background on AppsDir, please see
> http://trac.tools.ietf.org/area/app/trac/wiki/ApplicationsAreaDirectorate ).
>
> Please resolve these comments along with any other Last Call comments
> you may receive. Please wait for direction from your document
> shepherd or AD before posting a new version of the draft.
>
> Document: draft-claise-export-application-info-in-ipfix-05
> Title: Export of Application Information in IPFIX
> Reviewer: Jiankang Yao
> Review Date: April 20, 2012
>
> Summary:  This document is almost ready for publication as a Informational RFC.
>
> This draft specifies an extension to the IPFIX information model specified in [RFC5102] to export application
>   information.
>
> Minor issue:
>
> In Section 6:
>
>            6. Application Id Examples................................. 21
>             6.1. Example 1: Layer 2 Protocol........................ 21
>             6.2. Example 2: Standardized IANA Layer 3 Protocol...... 22
>             6.3. Example 3: Proprietary Layer 3 Protocol............ 23
>             6.4. Example 4: Standardized IANA Layer 4 Port.......... 25
>             6.5. Example 4: Layer 7 Application..................... 26
>             6.6. Example: port Obfuscation.......................... 28
>             6.7. Example: Application Mapping Options Template...... 29
>             6.8. Example: Attributes Values Options Template Record. 30
>
>
> Comments : This section is all about examples, covering 10 pages. I suggest to move it to the appendix of this document since it does not specify anything.
>
>
>
> Discussion issue:
>
>   In section 2
>       "
>         Application could be defined at different OSI layers, from
>        layer 2 to layer 7. For example: Link Layer Distribution
>        Protocol (LLDP) [LLDP] is layer 2 application, ICMP is layer
>        3 application [IANA-PROTO], HTTP is layer 4 application
>        [IANA-PORTS], and skype is layer 7. "
>
> Comments:  From my understanding, HTTP  is  a kind of layer 7 application based on OSI, but it can be identified in layer 4.
> If my understanding is correct, I suggest to tune the text to the following:
>
>      "
>         Application could be identified at different OSI layers, from
>        layer 2 to layer 7. For example: Link Layer Distribution
>        Protocol (LLDP) [LLDP] can be identified in layer 2, ICMP is can be identified in layer 3
> [IANA-PROTO], HTTP can be identified in layer 4  [IANA-PORTS], and skype can be identified in layer7. "
>
> In the rest of document, it need to be tuned accordingly too.
>
>
>
>
> Nits:
>
> Section6.5. title:  Example 4: Layer 7 Application
>
> Change it to "Example 5: Layer 7 Application" since section 6.4 title is " Example 4: Standardized IANA Layer 4 Port"?
>
>
> Jiankang Yao
>
>

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 04 May 2012 10:21:17 -0600

On 5/4/12 8:48 AM, Barry Leiba wrote:
>> I just posted a new version
> of draft-claise-export-application-info-in-ipfix
> Not to usurp Ron's decision of what's best in this case, but in general,
> I think that if one forgets to include something in a draft version, one

+1. Revised I-Ds improve traceability.

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Fri, 4 May 2012 17:28:39 +0000

[trimmed Cc list]

In the past when I've done this during a Last Call (IETF or WG, can't remember), someone else complained in the form of "So what version exactly are we supposed to be reviewing here?"  I think that's where my own hesitation comes from when this decision needs to be made.

-MSK

From: [email-masked] [mailto:[email-masked]] On Behalf Of Barry Leiba
Sent: Friday, May 04, 2012 7:48 AM
To: Benoit Claise
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [apps-discuss] APPSDIR review of draft-claise-export-application-info-in-ipfix-05

> I just posted a new version of draft-claise-export-application-info-in-ipfix<http://tools.ietf.org/html/draft-claise-export-application-info-in-ipfix-06>, and
...
> I will let Ron decide what's best.

This happens all the time, and it always puzzles me.  What's the fear of posting another rev of the doc?  They're cheap and easy.

Not to usurp Ron's decision of what's best in this case, but in general, I think that if one forgets to include something in a draft version, one simply puts it in and posts another version.  Voilà.

Barry

---

From: Benoit Claise <[email-masked]>
Date: Fri, 04 May 2012 11:54:57 -0400

> This happens all the time, and it always puzzles me.  What's the fear 
> of posting another rev of the doc?  They're cheap and easy.
>
> Not to usurp Ron's decision of what's best in this case, but in 
> general, I think that if one forgets to include something in a draft 
> version, one simply puts it in and posts another version.  Voilà.
Same answer from Ron.
Therefore 
http://www.ietf.org/id/draft-claise-export-application-info-in-ipfix-07.txt 
is now posted ;-)

Regards, Benoit.

---

From: Barry Leiba <[email-masked]>
Date: Fri, 4 May 2012 19:09:11 -0400

As I see it, there's little reason to complain about that now.  There are
both tracker and tools links that give you the latest version, regardless
of what version was specified in the last call note, and the tracker link
is now included in the last call.  The answer to the question is always,
"The latest one, of course."  It's silly to have people reviewing errors
that have already been corrected and text that's already changed.

Barry

On Friday, May 4, 2012, Murray S. Kucherawy wrote:
>
> In the past when I’ve done this during a Last Call (IETF or WG, can’t
> remember), someone else complained in the form of “So what version exactly
> are we supposed to be reviewing here?”  I think that’s where my own
> hesitation comes from when this decision needs to be made.
>
> -MSK****
>
> ** **
>
> *From:* [email-masked] <javascript:_e({}, 'cvml',
> [email-masked]');> [mailto:[email-masked]<javascript:_e({}, 'cvml', [email-masked]');>]
> *On Behalf Of *Barry Leiba
> *Sent:* Friday, May 04, 2012 7:48 AM
> *To:* Benoit Claise
> *Cc:* [email-masked] <javascript:_e({}, 'cvml',
> [email-masked]');>; [email-masked] <javascript:_e({}, 'cvml',
> [email-masked]');>; [email-masked] <javascript:_e({}, 'cvml',
> [email-masked]');>; [email-masked] <javascript:_e({}, 'cvml',
> [email-masked]');>
> *Subject:* Re: [apps-discuss] APPSDIR review of
> draft-claise-export-application-info-in-ipfix-05****
>
> ** **
>
> and****
> > forgot to include your comments.****
>
> ...****
>
> > I will let Ron decide what's best.****
>
> ** **
>
> posting another rev of the doc?  They're cheap and easy.****
>
> ** **
>
> simply puts it in and posts another version.  Voilà.****
>
> ** **
>
> Barry****
>